﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.SyntaxParsing.Importing;

namespace Infragistics.SyntaxParsing.Samples
{
    public partial class frmOptions : Form
    {
        private GrammarImporter importer = null;

        public frmOptions()
        {
            InitializeComponent();
            this.cmdOk.Click += new EventHandler(this.OnButtonClick);
        }

        private void OnButtonClick(object sender, EventArgs e)
        {
            this.DialogResult = (sender == this.cmdOk) ? DialogResult.OK : DialogResult.Cancel;
            this.Close();
        }

        public DialogResult ShowMe( Form owner, GrammarImporter importer )
        {
            this.importer = importer;
            this.pgNotation.SelectedObject = this.importer.Notation;
            this.ShowDialog( owner );
            return this.DialogResult;
        }
    }
}
