﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.SyntaxParsing;

namespace Infragistics.SyntaxParsing.Samples
{
    /// <summary>
    /// Displays information about a parsed token.
    /// </summary>
    public partial class frmTokenInfo : Form
    {
        public frmTokenInfo()
        {
            InitializeComponent();
        }

        public void ShowMe( frmRuleTree owner, TokenBase token )
        {
            this.KeyPreview = true;
            this.Text = token != null ? token.ToString() : string.Empty;
            this.propertyGrid1.SelectedObject = token;
            this.ShowDialog( owner );
        }

        protected override void OnKeyDown(KeyEventArgs e)
        {
            if ( e.KeyCode == Keys.Escape || e.KeyCode == Keys.Return )
            {
                e.Handled = true;
                this.Close();
            }

            base.OnKeyDown(e);
        }
    }
}
